<template>
  <div class="forgot">
    <p class="forgot--title title-h2">Mot de passe oublié ?</p>
    <p class="forgot--description title">
      Veuillez saisir votre identifiant et nous vous enverrons un lien pour
      réinitialiser votre mot de passe en toute sécurité.
    </p>
    <a-form name="normal_login" class="forgot--form">
      <a-form-item name="username">
        <a-input placeholder="Email">
          <template #prefix>
            <user-outlined />
          </template>
        </a-input>
      </a-form-item>
      <a-form-item>
        <a-button
          type="primary"
          class="forgot--form-submit"
          block
          html-type="submit"
        >
          Envoyer
        </a-button>
      </a-form-item>
    </a-form>
    <a-button type="link" class="forgot--link"> Se connecter </a-button>
  </div>
</template>

<script setup lang="ts">
import { UserOutlined } from '@ant-design/icons-vue';
</script>
<script lang="ts">
export default {
  name: 'forgot-password',
};
</script>

<style scoped lang="scss">
.forgot {
  width: 440px;
  text-align: center;
  &--description {
    margin-top: 42px;
    margin-bottom: 22px;
  }
  &--form {
    width: 360px;
    margin: 0 auto;
  }
  &--form-submit {
    margin-top: 6px;
  }
  &--link {
    color: var(--main-black);
    margin-top: 20px;
  }
}
</style>
